Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.HeaderFooterContent Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | HeaderFooterContent ()
| Constructor.
def | HeaderFooterContent (other)
| Constructor, with another header-footer content object. More...
def | Set (header_left_content, header_center_content, header_right_content, footer_left_content, footer_center_content, footer_right_content)
| Set value. More...

## Static Public Attributes
| footer_center_content = _fsdk.HeaderFooterContent_footer_center_content
| Content for center footer.
| footer_left_content = _fsdk.HeaderFooterContent_footer_left_content
| Content for left footer.
| footer_right_content = _fsdk.HeaderFooterContent_footer_right_content
| Content for right footer.
| header_center_content = _fsdk.HeaderFooterContent_header_center_content
| Content for center header.
| header_left_content = _fsdk.HeaderFooterContent_header_left_content
| Content for left header.
| header_right_content = _fsdk.HeaderFooterContent_header_right_content
| Content for right header.

## Detailed Description

This class represents the header-footer content. Any string member of this class can set directly or be generated by using class HeaderFooterContentGenerator .

See also
  HeaderFooterContentGenerator .

## Constructor & Destructor Documentation

## ◆ HeaderFooterContent()

def FoxitPDFSDKPython2.HeaderFooterContent.HeaderFooterContent | ( |  | other | ) |

Constructor, with another header-footer content object.

Parameters

  [in] | other | Another header-footer content object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.HeaderFooterContent.Set | ( |  | header_left_content,
|  |  | header_center_content,
|  |  | header_right_content,
|  |  | footer_left_content,
|  |  | footer_center_content,
|  |  | footer_right_content
| ) |  |

Set value.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

Returns
  None.